matrix:
  platform: ["macos_arm64", "ubuntu2404"]

tasks:
  go_extension:
    name: go
    platform: ${{ platform }}
    shell_commands:
      - cd tools/bzlmod_migration_test_examples/go_extension && python3 migration_test.py
  maven_extension:
    name: maven
    platform: ${{ platform }}
    shell_commands:
      - cd tools/bzlmod_migration_test_examples/maven_extensions && python3 ../migration_test.py
  python_extension:
    name: python
    platform: ${{ platform }}
    shell_commands:
      - cd tools/bzlmod_migration_test_examples/py_extension && python3 migration_test.py
  simple_deps_extension:
    name: simple_deps
    platform: ${{ platform }}
    shell_commands:
      - cd tools/bzlmod_migration_test_examples/simple_module_deps && python3 migration_test.py
  module_extension:
    name: module_extension
    platform: ${{ platform }}
    shell_commands:
      - cd tools/bzlmod_migration_test_examples/module_extension && python3 ../migration_test.py
